Bug 835133 - lxc is broken
lxc is broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lxc (Show other bugs)
17
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Thomas Moschny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 11:45 EDT by techtonik
Modified: 2013-08-01 08:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:27:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description techtonik 2012-06-25 11:45:41 EDT
Description of problem:
Can't get working lxc container. As mentioned in bug #835125 there are no ready templates and documentation doesn't explan how to work with them. All attempts to create and execute container without template on Fedora result in Gnome Shell restart and constant HDD polling. Maybe that's a new container starting? In any case restart or shutdown just hangs.

Version-Release number of selected component (if applicable):
Name        : lxc
Arch        : i686
Version     : 0.7.5
Release     : 1.fc17


How reproducible:
Always

Steps to Reproduce:
1. sudo lxc-create -n lxcbox
2. sudo lxc-start -n lxcbox
3. press Ctrl-C
  
Actual results:
container stopped

Expected results:
Gnome Shell restarted

Additional info:
Comment 1 techtonik 2012-06-25 11:46:45 EDT
Actual and Expected are mixed above. Sorry.
Comment 2 Haïkel Guémar 2012-06-25 12:32:30 EDT
I'm pretty sure that's a wrong way to stop a container. You should use lxc-stop to stop your container, instead.
btw, except for debugging purposes, you should always daemonize your new containers.

The lxc-create should fail since you didn't provide any template but for some reason, it doesn't.
Comment 3 techtonik 2012-06-25 16:51:37 EDT
It is something wrong with lxc, beacause after start it doesn't matter in which terminal Ctr-C in pressed.
Comment 4 techtonik 2012-06-26 07:37:59 EDT
Ok. I've done some steps, but it still broken:

1. downloaded lxc-fedora from http://lxc.git.sourceforge.net/git/gitweb.cgi?p=lxc/lxc;a=blob;f=templates/lxc-fedora.in;hb=f9d0d2cbbf401ffb74c251e75581174d91a02cfc 
2. fixed with patch https://bugs.launchpad.net/ubuntu/+source/lxc/+bug/1005951
3. disabled SELinux with `setenforce 0`

After containers starts Gnome Shell shuts down, Ctrl-Alt-F1 shows mixed console + tty login prompts from the containers, attempt to login from other Ctrl-Alt-Fx screen with lxc-console results in keyboard lock down. The output doesn't appear in the box.
Comment 5 Fedora End Of Life 2013-07-04 00:01:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 08:27:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.